<template>
  <div>
    <header class="main-header">
      <h1 class="main-nav__ttl">
        <router-link to="/" exact class="">
          <img src="http://localhost:4141/images/logo.svg" alt=""/>
        </router-link>
      </h1>
      <nav class="main-nav__nav">
        <ul class="nav-links">
          <li class="nav-links__item">
            <router-link to="/" exact class="">Home</router-link>
          </li>
          <li class="nav-links__item">
            <router-link to="/rooms" exact class="">Rooms</router-link>
          </li>
        </ul>
      </nav>
    </header>
    <router-view></router-view>
  </div>
</template>

<style lang="css">
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --primaryColor: #af9a7d;
  --mainWhite: #fff;
  --offWhite: #f7f7f7;
  --mainBlack: #222;
  --mainGrey: #ececec;
  --darkGrey: #cfcfcf;
  --mainTransition: all 0.3s linear;
  --mainSpacing: 3px;
  --lightShadow: 2px 5px 3px 0px rgba(0, 0, 0, 0.5);
  --darkShadow: 4px 10px 5px 0px rgba(0, 0, 0, 0.5);
}
/* globals */
body {
  padding-top: 60px;
  color: var(--mainBlack);
  background: var(--mainWhite);
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  line-height: 1.4;
}
h1 {
  font-size: 3em;
  line-height: 1;
  margin-bottom: 0.5em;
}
h2 {
  font-size: 2em;
  margin-bottom: 0.75em;
}
h3 {
  font-size: 1.5em;
  line-height: 1;
  margin-bottom: 1em;
}
h4 {
  font-size: 1.2em;
  line-height: 1.25;
  margin-bottom: 1.25em;
}
h5 {
  font-size: 1em;
  font-weight: bold;
  margin-bottom: 1.5em;
}
h6 {
  font-size: 1em;
  font-weight: bold;
  margin-bottom: 1.5em;
}

.btn-primary {
  display: inline-block;
  text-decoration: none;
  letter-spacing: var(--mainSpacing);
  color: var(--mainBlack);
  background: var(--primaryColor);
  padding: 0.4rem 0.9rem;
  border: 3px solid var(--primaryColor);
  transition: var(--mainTransition);
  text-transform: uppercase;
  cursor: pointer;
}

.btn-primary:hover {
  background: transparent;
  color: var(--primaryColor);
}

.main-header {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  background-color: #fff;
  top: 0;
  right: 0;
  left: 0;
  height: 60px;
  padding: 0 15px;
  z-index: 1;
}

@media screen and (min-width: 992px) {
  .main-header {
    justify-content: start;
  }
}

.nav-links {
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.nav-links__item {
  padding: 1rem 0;
}

.nav-links__item a {
  display: block;
  text-decoration: none;
  color: var(--mainBlack);
  transition: var(--mainTransition);
  text-align: center;
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: var(--mainSpacing);
}

@media screen and (min-width: 992px) {
  .nav-links {
    flex-direction: row;
  }
  .nav-links__item {
    margin-left: 30px;
  }
}

.slide-drawer {
  width: 100%;
  position: absolute;
  top: 100%;
  background-color: #fff;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.26);
  overflow: hidden;
  height: 108px;
}

.main-nav__ttl {
  margin-bottom: 0;
}

.section-ttl {
  text-align: center;
  margin-bottom: 4rem;
}

.section-ttl__txt {
  font-size: 2rem;
  letter-spacing: var(--mainSpacing);
  text-transform: capitalize;
  margin-bottom: 1rem;
}

.section-ttl__line {
  width: 5rem;
  height: 5px;
  margin: 0 auto;
  background: var(--primaryColor);
}
</style>
